{ "name": "BadRequestException", "message": "Refund not found"}
This API allows you to cancel a refund that is still in a pending state and has not yet been processed. Once canceled, the refund will not be disbursed to the customer’s bank account.
You can only cancel refunds that are in a pending state and have not been
processed yet.
Sandbox environment refund cancellations cannot be simulated.
{ "name": "BadRequestException", "message": "Refund not found"}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Atoa Docs","colors":{"primary":"#E42646","light":"#E42646","dark":"#E42646"},"logo":{"light":"https://mintcdn.com/atoaproddocs/ZhMdcV3xf3fCdH09/logo/light.svg?fit=max\u0026auto=format\u0026n=ZhMdcV3xf3fCdH09\u0026q=85\u0026s=3d0d1627597f73b57756f6d09662507f","dark":"https://mintcdn.com/atoaproddocs/ZhMdcV3xf3fCdH09/logo/dark.svg?fit=max\u0026auto=format\u0026n=ZhMdcV3xf3fCdH09\u0026q=85\u0026s=7b8a90d650060586fed1988d47fd23c3","href":"/introduction"},"favicon":"https://mintcdn.com/atoaproddocs/ZhMdcV3xf3fCdH09/images/favicon.png?fit=max\u0026auto=format\u0026n=ZhMdcV3xf3fCdH09\u0026q=85\u0026s=48a6017035519938a738fbd8a8689d05","api":{"openapi":["openApi/atoa-openapi.yaml"],"playground":{"display":"interactive"},"mdx":{"auth":{"method":"bearer"},"server":"https://devapi.atoa.me/api/payments/stores"}},"navbar":{"links":[{"href":"https://atoa.instatus.com/","label":"Status"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.paywithatoa.co.uk/"}},"seo":{"metatags":{"robots":"index, follow","og:image":"https://atoa-static-images.s3.eu-west-2.amazonaws.com/Atoa-logo-SEO-metatag.png"},"indexing":"navigable"},"integrations":{"gtm":{"tagId":"GTM-524G8QG5"}},"errors":{"404":{"redirect":true}},"contextual":{"options":["copy","view","assistant","chatgpt","claude","perplexity","grok","aistudio","devin","mcp","add-mcp","cursor","vscode","devin-mcp"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"atoaproddocs","hasAudioNarration":false,"actualSubdomain":"atoaproddocs","customDomains":["docs.paywithatoa.co.uk"],"gitSource":{"type":"github","owner":"atoapaymentslimited","repo":"atoa-docs-new","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6ab36a0b27586c1a8ac3a8cd","collectionId":"b9761cd3-f631-4a5f-860c-8a12478718e1","liveDeploymentHistoryId":"6ab36a0b27586c1a8ac3a8cd","schemaVersion":"v3"},"entitlements":{},"buildId":"6ab36a0b27586c1a8ac3a8cd","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API Reference","count":51},{"language":"default","tag":"Reference","count":28},{"language":"default","tag":"Documentation","count":24},{"language":"default","tag":"Webhook","count":17},{"language":"default","tag":"Payments","count":9},{"language":"default","tag":"Bank Feed","count":8},{"language":"default","tag":"Agentic Payments","count":8},{"language":"default","tag":"Endpoints","count":6},{"language":"default","tag":"Card on File","count":5},{"language":"default","tag":"Customers","count":5}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"custom/custom.css","content":".ml-auto.text-gray-500.w-8.h-8.-my-1.items-center.justify-center,button[type=button].hidden{display:none}.sm\\:flex,.sm\\:flex a[href=\"https://mintlify.com?utm_campaign=poweredBy\u0026amp;utm_medium=docs\u0026amp;utm_source=undefined\"]{display:none!important}"}],"page":{"pagePath":"api-reference/refund/cancel-refund","slug":"/api-reference/refund/cancel-refund","pageMetadata":{"title":"Cancel Refund | Refunds API","sidebarTitle":"Cancel Refund","api":"DELETE https://api.atoa.me/api/refund/{refundId}/cancel","description":"Cancel refund via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.","href":"/api-reference/refund/cancel-refund"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Cancel refund via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components},{Heading,Info,Note,ParamField,ResponseField}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This API allows you to cancel a refund that is still in a pending state and has not yet been processed. Once canceled, the refund will not be disbursed to the customer’s bank account.`}),`\n`,_jsx(Note,{icon:`lightbulb`,title:`Note`,children:_jsx(_components.p,{children:`You can only cancel refunds that are in a pending state and have not been\nprocessed yet.`})}),`\n`,_jsx(Info,{icon:`lightbulb`,title:`Note`,children:_jsx(_components.p,{children:`Sandbox environment refund cancellations cannot be simulated.`})}),`\n`,_jsx(Heading,{level:`3`,id:`authorization`,children:`Authorization`}),`\n`,_jsxs(_components.p,{children:[`Bearer `,_jsx(_components.code,{children:`\u003ctoken>`})]}),`\n`,_jsx(Heading,{level:`3`,id:`request-body-schema`,children:`Request Body Schema`}),`\n`,_jsx(ParamField,{path:`refundId`,type:`string`,required:true,id:`param-refund-id`,children:_jsxs(_components.p,{children:[`The unique identifier of the refund you want to cancel. This is the refundId\nthat was returned when you initiated the refund from`,` `,`\n`,_jsx(_components.a,{href:`/api-reference/refund/initiate-refund`,children:`Initiate Refund`}),`.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`status`,type:`number`,id:`param-status`,children:_jsx(_components.p,{children:`The HTTP status code indicating the result of the operation. A value of 200\nindicates success.`})}),`\n`,_jsx(ResponseField,{name:`message`,type:`string`,id:`param-message`,children:_jsx(_components.p,{children:`A human-readable message describing the result of the operation.`})}),`\n`,_jsx(ResponseField,{name:`refundId`,type:`string`,id:`param-refund-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the refund that was cancelled.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Cancel Refund | Refunds API","sidebarTitle":"Cancel Refund","api":"DELETE https://api.atoa.me/api/refund/{refundId}/cancel","description":"Cancel refund via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.","href":"/api-reference/refund/cancel-refund"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Heading,Info,Note,ParamField,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Info)_missingMdxReference(`Info`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This API allows you to cancel a refund that is still in a pending state and has not yet been processed. Once canceled, the refund will not be disbursed to the customer’s bank account.`}),`\n`,_jsx(Note,{icon:`lightbulb`,title:`Note`,children:_jsx(_components.p,{children:`You can only cancel refunds that are in a pending state and have not been\nprocessed yet.`})}),`\n`,_jsx(Info,{icon:`lightbulb`,title:`Note`,children:_jsx(_components.p,{children:`Sandbox environment refund cancellations cannot be simulated.`})}),`\n`,_jsx(Heading,{level:`3`,id:`authorization`,children:`Authorization`}),`\n`,_jsxs(_components.p,{children:[`Bearer `,_jsx(_components.code,{children:`\u003ctoken>`})]}),`\n`,_jsx(Heading,{level:`3`,id:`request-body-schema`,children:`Request Body Schema`}),`\n`,_jsx(ParamField,{path:`refundId`,type:`string`,required:true,id:`param-refund-id`,children:_jsxs(_components.p,{children:[`The unique identifier of the refund you want to cancel. This is the refundId\nthat was returned when you initiated the refund from`,` `,`\n`,_jsx(_components.a,{href:`/api-reference/refund/initiate-refund`,children:`Initiate Refund`}),`.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`status`,type:`number`,id:`param-status`,children:_jsx(_components.p,{children:`The HTTP status code indicating the result of the operation. A value of 200\nindicates success.`})}),`\n`,_jsx(ResponseField,{name:`message`,type:`string`,id:`param-message`,children:_jsx(_components.p,{children:`A human-readable message describing the result of the operation.`})}),`\n`,_jsx(ResponseField,{name:`refundId`,type:`string`,id:`param-refund-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the refund that was cancelled.`})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200`,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`200`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Refund cancelled successfully\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"refundId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"4fcddd66-4425-4bf7-88cc-96463e279eb1\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400`,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"BadRequestException\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Refund not found\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Cancel Refund | Refunds API","sidebarTitle":"Cancel Refund","api":"DELETE https://api.atoa.me/api/refund/{refundId}/cancel","description":"Cancel refund via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.","href":"/api-reference/refund/cancel-refund"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Authorization","slug":"authorization","depth":3,"children":[]},{"title":"Request Body Schema","slug":"request-body-schema","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"200","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"5\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">200\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Refund cancelled successfully\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"refundId\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"4fcddd66-4425-4bf7-88cc-96463e279eb1\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"4\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"BadRequestException\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Refund not found\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Cancel Refund | Refunds API","path":"/api/refund/{refundId}/cancel","servers":[{"url":"https://api.atoa.me"}],"method":"delete","request":{"security":[{"title":"Bearer Auth","parameters":{"header":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{"refundId":{"schema":[{"type":"string","description":"The unique identifier of the refund you want to cancel. This is the refundId that was returned when you initiated the refund from .","required":true}]}}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"status":[{"type":"number","description":"The HTTP status code indicating the result of the operation. A value of 200 indicates success."}],"message":[{"type":"string","description":"A human-readable message describing the result of the operation."}],"refundId":[{"type":"string","description":"The unique identifier of the refund that was cancelled."}]}}],"examples":{"example":{"value":{"status":123,"message":"\u003cstring>","refundId":"\u003cstring>"}}}}}},"deprecated":false}},"jsLinks":["/_mintlify/custom/atoaproddocs/3bfbc9666ac68ff2/scripts/generate-llms-full.js","/_mintlify/custom/atoaproddocs/8ee229d6855650fe/custom/script.js"],"subdomain":"atoaproddocs","siteName":"Atoa Docs","title":"Cancel Refund | Refunds API - Atoa Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-01T06:41:18.765Z","originalFileLocation":"api-reference/refund/cancel-refund.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Cancel refund via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Atoa Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"index, follow\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/atoaproddocs/Go5UPt9tcMPy4Sk8/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/atoaproddocs/Go5UPt9tcMPy4Sk8/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/atoaproddocs/Go5UPt9tcMPy4Sk8/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/atoaproddocs/Go5UPt9tcMPy4Sk8/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/atoaproddocs/Go5UPt9tcMPy4Sk8/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/atoaproddocs/Go5UPt9tcMPy4Sk8/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/atoaproddocs/Go5UPt9tcMPy4Sk8/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/atoaproddocs/Go5UPt9tcMPy4Sk8/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/atoaproddocs/Go5UPt9tcMPy4Sk8/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Cancel Refund | Refunds API - Atoa Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Cancel refund via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Atoa Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.paywithatoa.co.uk/api-reference/refund/cancel-refund\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://atoa-static-images.s3.eu-west-2.amazonaws.com/Atoa-logo-SEO-metatag.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Cancel Refund | Refunds API - Atoa Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Cancel refund via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://atoa-static-images.s3.eu-west-2.amazonaws.com/Atoa-logo-SEO-metatag.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/atoaproddocs/Go5UPt9tcMPy4Sk8/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Atoa Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#E42646\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.paywithatoa.co.uk/api-reference/refund/cancel-refund\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/refund/cancel-refund.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.paywithatoa.co.uk/#organization\",\"name\":\"Atoa Docs\",\"url\":\"https://docs.paywithatoa.co.uk\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/atoaproddocs/ZhMdcV3xf3fCdH09/logo/light.svg?fit=max\u0026auto=format\u0026n=ZhMdcV3xf3fCdH09\u0026q=85\u0026s=3d0d1627597f73b57756f6d09662507f\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.paywithatoa.co.uk#website\",\"name\":\"Atoa Docs\",\"url\":\"https://docs.paywithatoa.co.uk\",\"publisher\":{\"@id\":\"https://docs.paywithatoa.co.uk/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.paywithatoa.co.uk/api-reference/refund/cancel-refund#webpage\",\"url\":\"https://docs.paywithatoa.co.uk/api-reference/refund/cancel-refund\",\"name\":\"Cancel Refund | Refunds API\",\"description\":\"Cancel refund via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.\",\"dateModified\":\"2026-09-01T06:41:18.765Z\",\"isPartOf\":{\"@id\":\"https://docs.paywithatoa.co.uk#website\"},\"breadcrumb\":{\"@id\":\"https://docs.paywithatoa.co.uk/api-reference/refund/cancel-refund#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.paywithatoa.co.uk/api-reference/refund/cancel-refund#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Reference\",\"item\":\"https://docs.paywithatoa.co.uk/api-reference/customers/create-customer\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Refunds\",\"item\":\"https://docs.paywithatoa.co.uk/api-reference/refund/initiate-refund\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Cancel Refund | Refunds API\",\"item\":\"https://docs.paywithatoa.co.uk/api-reference/refund/cancel-refund\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.paywithatoa.co.uk/api-reference/refund/cancel-refund#apireference\",\"headline\":\"Cancel Refund | Refunds API\",\"name\":\"Cancel Refund | Refunds API\",\"description\":\"Cancel refund via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.\",\"url\":\"https://docs.paywithatoa.co.uk/api-reference/refund/cancel-refund\",\"mainEntityOfPage\":{\"@id\":\"https://docs.paywithatoa.co.uk/api-reference/refund/cancel-refund#webpage\"},\"image\":\"https://atoa-static-images.s3.eu-west-2.amazonaws.com/Atoa-logo-SEO-metatag.png\",\"dateModified\":\"2026-09-01T06:41:18.765Z\",\"publisher\":{\"@id\":\"https://docs.paywithatoa.co.uk/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.paywithatoa.co.uk#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Atoa Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Atoa Docs","nav":{"global":null,"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/overview"}]},{"tab":"API Reference","groups":[{"group":"Overview","pages":[{"title":"API Reference | Introduction","sidebarTitle":"Introduction","icon":"rectangle-code","iconType":"duotone","href":"/api-reference/introduction"}]},{"group":"Reference","pages":[{"group":"Customers","icon":"users","pages":[{"title":"Create Customer | Customers API","sidebarTitle":"Create Customer","api":"POST https://api.atoa.me/api/customers","href":"/api-reference/customers/create-customer"},{"title":"List Customers | Customers API","sidebarTitle":"List Customers","api":"GET https://api.atoa.me/api/customers","href":"/api-reference/customers/list-customers"},{"title":"Get Customer | Customers API","sidebarTitle":"Get Customer","api":"GET https://api.atoa.me/api/customers/{customerId}","href":"/api-reference/customers/get-customer"},{"title":"Update Customer | Customers API","sidebarTitle":"Update Customer","api":"PUT https://api.atoa.me/api/customers/{customerId}","href":"/api-reference/customers/update-customer"},{"title":"Delete Customer | Customers API","sidebarTitle":"Delete Customer","api":"DELETE https://api.atoa.me/api/customers/{customerId}","href":"/api-reference/customers/delete-customer"}]},{"group":"Payment Methods","icon":"credit-card","pages":[{"title":"List Payment Methods","sidebarTitle":"List Payment Methods","api":"GET https://api.atoa.me/api/customers/{customerId}/cards","href":"/api-reference/payment-methods/list-payment-methods"},{"title":"Get Payment Method","sidebarTitle":"Get Payment Method","api":"GET https://api.atoa.me/api/customers/{customerId}/cards/{cardId}","href":"/api-reference/payment-methods/get-payment-method"},{"title":"Update Payment Method","sidebarTitle":"Update Payment Method","api":"PUT https://api.atoa.me/api/customers/{customerId}/cards/{cardId}","href":"/api-reference/payment-methods/update-payment-method"},{"title":"Delete Payment Method","sidebarTitle":"Delete Payment Method","api":"DELETE https://api.atoa.me/api/customers/{customerId}/cards/{cardId}","href":"/api-reference/payment-methods/delete-payment-method"}]},{"group":"Payments","icon":"money-bill-wave","pages":[{"title":"Get stores | Payments API","sidebarTitle":"Get Stores","api":"Get https://api.atoa.me/api/payments/stores","href":"/api-reference/payment/get-stores"},{"title":"Process Payment: Create a Payment Request","sidebarTitle":"Process Payment","api":"Post https://api.atoa.me/api/payments/process-payment","href":"/api-reference/payment/process-payment"},{"title":"Cancel Payment | Payments API","sidebarTitle":"Cancel Payment","api":"Post https://api.atoa.me/api/payment-request/cancel/{paymentRequestId}","href":"/api-reference/payment/cancel-payment"},{"title":"Get Payment Status | Payments API","sidebarTitle":"Get Payment Status","api":"Get https://api.atoa.me/api/payments/v1/payment-status/{id}","href":"/api-reference/payment/get-payment-status"},{"title":"Get Transactions | Payments API","sidebarTitle":"Get Transactions","api":"POST https://api.atoa.me/api/payments/transactions","href":"/api-reference/payment/get-transactions"}]},{"group":"Remote Payments","icon":"tablet","pages":[{"title":"List Terminals (PAX) for Remote Payments","sidebarTitle":"List Terminals","api":"POST https://api.atoa.me/api/terminal/list","href":"/api-reference/remote-payments/list-terminals"},{"title":"Process Remote Payment","sidebarTitle":"Process Remote Payment","api":"POST https://api.atoa.me/api/terminal/process-remote-payment","href":"/api-reference/remote-payments/process-remote-payment"}]},{"group":"Refunds","icon":"retweet","pages":[{"title":"Initiate Refund | Refunds API","sidebarTitle":"Initiate Refund","api":"POST https://api.atoa.me/api/refund","description":"Initiate refund via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.","href":"/api-reference/refund/initiate-refund"},{"title":"Cancel Refund | Refunds API","sidebarTitle":"Cancel Refund","api":"DELETE https://api.atoa.me/api/refund/{refundId}/cancel","href":"/api-reference/refund/cancel-refund"},{"title":"Get Refund Payments | Refunds API","sidebarTitle":"Get Refunds","api":"GET https://api.atoa.me/api/refund/{paymentRequestId}","description":"Retrieve refund payments via the Atoa Refunds API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.","href":"/api-reference/refund/get-refund-payments"}]},{"group":"Institutions","icon":"building","pages":[{"title":"Get List of Available Institutions or Banks","sidebarTitle":"Get List of Available Institutions or Banks","api":"Get https://api.atoa.me/api/institutions","href":"/api-reference/institutions/institutions-controller"}]},{"group":"Bank Feed","icon":"building-columns","pages":[{"title":"Initiate Authorization Flow","sidebarTitle":"Initiate Authorization Flow","api":"POST https://api.atoa.me/api/bank/auth/initiate","href":"/api-reference/account-initiation-services/initiate-account-authorization"},{"title":"Fetch Account Transactions","sidebarTitle":"Fetch Account Transactions","api":"GET https://api.atoa.me/api/bank/accounts/{accountId}/transactions?from=YYYY-MM-DD\u0026before=YYYY-MM-DD\u0026cursor={cursor}","href":"/api-reference/account-initiation-services/fetch-account-transactions"},{"title":"Fetch Account Balance","sidebarTitle":"Fetch Account Balance","api":"GET https://api.atoa.me/api/bank/accounts/{accountId}/balance","href":"/api-reference/account-initiation-services/fetch-account-balance"},{"title":"Fetch Account Details","sidebarTitle":"Fetch Account Details","api":"GET https://api.atoa.me/api/bank/accounts/{accountId}","href":"/api-reference/account-initiation-services/fetch-account-details"},{"title":"Fetch All Accounts","sidebarTitle":"Fetch All Accounts","api":"GET https://api.atoa.me/api/bank/{accountAuthId}/accounts","href":"/api-reference/account-initiation-services/fetch-all-accounts"},{"title":"Revoke Account Access","sidebarTitle":"Revoke Account Access","api":"POST https://api.atoa.me/api/bank/auth/revoke","href":"/api-reference/account-initiation-services/revoke-account-access"}]},{"group":"Payouts","icon":"money-bill-transfer","pages":[{"title":"Get Payouts | Payouts API","sidebarTitle":"Get Payouts","api":"GET https://api.atoa.me/api/payouts","href":"/api-reference/payouts/get-payouts"},{"title":"Get Payout Transactions","sidebarTitle":"Get Payout Transactions","api":"GET https://api.atoa.me/api/payouts/{payoutId}/transactions","href":"/api-reference/payouts/get-payout-transactions"}]}]},{"group":"Webhook","pages":[{"title":"Introduction | Webhooks API","sidebarTitle":"Webhook","icon":"webhook","iconType":"solid","href":"/api-reference/webhook/introduction"},{"group":"Endpoints","pages":[{"title":"Create Endpoint | Webhooks API","sidebarTitle":"Create endpoint","api":"Post https://api.atoa.me/api/webhook/v2/endpoints","href":"/api-reference/webhook/v2/create-endpoint"},{"title":"Update Endpoint | Webhooks API","sidebarTitle":"Update endpoint","api":"Put https://api.atoa.me/api/webhook/v2/endpoints/{endpointId}","href":"/api-reference/webhook/v2/update-endpoint"},{"title":"Delete Endpoint | Webhooks API","sidebarTitle":"Delete endpoint","api":"Delete https://api.atoa.me/api/webhook/v2/endpoints/{endpointId}","href":"/api-reference/webhook/v2/delete-endpoint"},{"title":"List Endpoints | Webhooks API","sidebarTitle":"List endpoints","api":"Get https://api.atoa.me/api/webhook/v2/endpoints","href":"/api-reference/webhook/v2/list-endpoints"},{"title":"List Event Types | Webhooks API","sidebarTitle":"List event types","api":"Get https://api.atoa.me/api/webhook/v2/event-types","href":"/api-reference/webhook/v2/list-event-types"},{"title":"Trigger test webhook event","sidebarTitle":"Trigger test webhook event","api":"Post https://api.atoa.me/api/webhook/test","href":"/api-reference/webhook/test-webhook-event"}]},{"group":"Legacy Endpoints","pages":[{"title":"Create webhook event","sidebarTitle":"Create webhook event","api":"Post https://api.atoa.me/api/webhook/merchant","href":"/api-reference/webhook/create-webhook-event"},{"title":"Get all merchant webhooks","sidebarTitle":"Get all merchant webhooks","api":"Get https://api.atoa.me/api/webhook/merchant","href":"/api-reference/webhook/get-all-merchant-webhooks"},{"title":"Delete webhook event","sidebarTitle":"Delete webhook event","api":"Delete https://api.atoa.me/api/webhook/{webhookId}/merchant","href":"/api-reference/webhook/delete-webhook-event"}]},{"group":"Signature Verification","pages":[{"title":"V2 Webhook Signing","sidebarTitle":"V2 Webhook Signing","icon":"shield-check","iconType":"solid","href":"/api-reference/webhook/v2-signing"},{"title":"V1 Webhook Signing (Legacy)","sidebarTitle":"V1 Webhook Signing (Legacy)","icon":"key","iconType":"solid","href":"/api-reference/webhook/v1-signing"}]},{"group":"Payload Reference","pages":[{"title":"Payment Status Webhook Payload","sidebarTitle":"Payment Status Webhook Payload","icon":"right-to-bracket","href":"/api-reference/webhook/process-payment-webhook-response"},{"title":"Expired Status Webhook Payload","sidebarTitle":"Expired Status Webhook Payload","icon":"right-to-bracket","href":"/api-reference/webhook/expired-status-webhook-response"},{"title":"Refund Status Webhook Payload","sidebarTitle":"Refund Status Webhook Payload","icon":"right-to-bracket","href":"/api-reference/webhook/refund-status-webhook-response"},{"title":"POS Payment Status Webhook Payload","sidebarTitle":"POS Payment Status Webhook Payload","icon":"right-to-bracket","href":"/api-reference/webhook/pos-payment-status-webhook-response"},{"title":"Payment Method Status Webhook Payload","sidebarTitle":"Payment Method Status Webhook Payload","icon":"right-to-bracket","href":"/api-reference/webhook/payment-method-status-webhook-response"}]}]},{"group":"Card on File","pages":[{"title":"Introduction | Card on File API","sidebarTitle":"Card on File","icon":"credit-card","iconType":"solid","href":"/api-reference/card-on-file/introduction"},{"title":"Authorize Card | Card on File API","sidebarTitle":"Authorize Card","api":"POST https://api.atoa.me/api/customers/{customerId}/cards/authorize","href":"/api-reference/card-on-file/authorize-card"},{"title":"Charge Saved Card | Card on File API","sidebarTitle":"Charge Saved Card","api":"POST https://api.atoa.me/api/payments/card/process-payment","href":"/api-reference/card-on-file/charge-saved-card"},{"title":"Manual Capture Payment","sidebarTitle":"Manual Capture Payment","api":"POST https://api.atoa.me/api/payments/card/payment-request/{paymentRequestId}/capture","href":"/api-reference/card-on-file/capture-payment"},{"title":"Manual Cancel Payment","sidebarTitle":"Manual Cancel Payment","api":"POST https://api.atoa.me/api/payments/card/payment-request/{paymentRequestId}/cancel","href":"/api-reference/card-on-file/cancel-payment"}]}]}]},"title":"Cancel Refund | Refunds API - Atoa Docs","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js"]}